Upgrade 8.7->8.8 - Admin Console port changed in Webmail UI?

Ask questions about your setup or get help installing ZCS server (ZD section below).
liverpoolfcfan
Outstanding Member
Outstanding Member
Posts: 914
Joined: Sat Sep 13, 2014 12:47 am

Upgrade 8.7->8.8 - Admin Console port changed in Webmail UI?

Postby liverpoolfcfan » Mon Feb 19, 2018 12:11 pm

Hi

I am testing the upgrade process from 8.7 to 8.8 and for some reason in the upgrade process the port number in the Webmail client for the Admin Console link gets switched from the normal :7071 to :9071 - and as a result it fails to connect. If I manually change the port number in the new Admin Console Browser instance to :7071 then it connects as normal.

Is there a particular reason for this happening?

Where should it be changed so as to show the correct link?

Are there any other port numbers that get changed/broken under-the-covers?

Thanks


User avatar
DualBoot
Outstanding Member
Outstanding Member
Posts: 768
Joined: Mon Apr 18, 2016 8:18 pm
Location: Earth
ZCS/ZD Version: ZCS FLOSS - 8.7.11 Mutli servers

Re: Upgrade 8.7->8.8 - Admin Console port changed in Webmail UI?

Postby DualBoot » Mon Feb 19, 2018 2:03 pm

Hello,

9071 is for zimbraAdminProxyPort for the Nginx configuration.

Regards,
liverpoolfcfan
Outstanding Member
Outstanding Member
Posts: 914
Joined: Sat Sep 13, 2014 12:47 am

Re: Upgrade 8.7->8.8 - Admin Console port changed in Webmail UI?

Postby liverpoolfcfan » Mon Feb 19, 2018 2:21 pm

Right... but, I had never selected the check box for "proxy enabled" for the admin console, and in the old version the link in the webmail client was therefore set to 7071, whereas in the upraded version the checkbox is still not selected but the link in the webmail is set to 9071
User avatar
DualBoot
Outstanding Member
Outstanding Member
Posts: 768
Joined: Mon Apr 18, 2016 8:18 pm
Location: Earth
ZCS/ZD Version: ZCS FLOSS - 8.7.11 Mutli servers

Re: Upgrade 8.7->8.8 - Admin Console port changed in Webmail UI?

Postby DualBoot » Mon Feb 19, 2018 4:45 pm

I think it is because Nginx is now mandatory.
liverpoolfcfan
Outstanding Member
Outstanding Member
Posts: 914
Joined: Sat Sep 13, 2014 12:47 am

Re: Upgrade 8.7->8.8 - Admin Console port changed in Webmail UI?

Postby liverpoolfcfan » Tue Feb 20, 2018 4:19 pm

Nginx is mandatory for the admin console now?
User avatar
DualBoot
Outstanding Member
Outstanding Member
Posts: 768
Joined: Mon Apr 18, 2016 8:18 pm
Location: Earth
ZCS/ZD Version: ZCS FLOSS - 8.7.11 Mutli servers

Re: Upgrade 8.7->8.8 - Admin Console port changed in Webmail UI?

Postby DualBoot » Tue Feb 20, 2018 6:32 pm

Nope for the admin console, but for the installation.
Connecting directly to your store on port 7071 should work. But do not use the zimbraVirtualHostname to connect to, maybe the problem is here.
hisfran
Posts: 5
Joined: Tue Apr 29, 2014 2:10 pm

Re: Upgrade 8.7->8.8 - Admin Console port changed in Webmail UI?

Postby hisfran » Fri Jun 08, 2018 5:28 pm

Has anyone found a solution?
I have a similar problem on a Zimbra server version 8.7.7.GA.1787.NETWORK

In Webmail for delegated Admins, the Admin Console button launches https://zimbraserver:9071/zimbraAdmin/
and times out.
Until recently that Admin Console button was lauching https://zimbraserver:7071/zimbraAdmin/ which still works.

I checked and the server config does not enable proxy:
zimbraAdminProxyPort: 9071
zimbraReverseProxyAdminEnabled: FALSE

What else should I look for?


/Fran
eribertos
Posts: 1
Joined: Mon Oct 08, 2018 6:49 pm

Re: Upgrade 8.7->8.8 - Admin Console port changed in Webmail UI?

Postby eribertos » Mon Oct 08, 2018 6:53 pm

Hi

Did anyone know a solution?

the proxy option is enabled but gives the "connection refused" error on port 9071, I have identified that nginx is not listening on that port.

Hand does not go out
User avatar
gabrieles
Advanced member
Advanced member
Posts: 50
Joined: Tue Feb 14, 2017 9:40 am

Re: Upgrade 8.7->8.8 - Admin Console port changed in Webmail UI?

Postby gabrieles » Tue Oct 09, 2018 12:08 pm

DualBoot wrote:I think it is because Nginx is now mandatory.

Proxy is mandatory since 8.7, and he's upgrading from 8.7... should have it

Return to “Installation and Upgrade”

Who is online

Users browsing this forum: No registered users and 6 guests